/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.2.2.3 $
 */
public class InterceptorImpl implements javax.ejb.Interceptor
{
   private Class value;

   public InterceptorImpl(Class value)
   {
      this.value = value;
   }

   public Class value()
   {
      return value;
   }

   public Class annotationType()
   {
      return javax.ejb.Interceptor.class;
   }
}
